import java.util.ArrayList;
import java.util.Collections;

public class Person implements Comparable<Person>
{
    private String firstName;
    private String lastName;
    private int id;
    
    public Person(String firstName, String lastName, int id)
    {
        this.firstName = firstName;
        this.lastName = lastName;
        this.id = id;
    }
    
    public int compareTo(Person p){
        int ret = this.lastName.compareTo(p.lastName);
        if(ret == 0) {
            return this.firstName.compareTo(p.firstName);
        }else{
            return ret;
        }
    }
    
    public String toString()
    {
        return lastName + ", " + firstName + " (" + id + ")";
    }
    
    public static void displayList(ArrayList<Person> list) 
    {
        for(int i = 0; i < list.size(); ++i) {
            System.out.println(list.get(i));
        }
    }
    
    public static void main(String[] args)
    {
        Person p1 = new Person("Robert", "Duvall", 1138);
        Person p2 = new Person("Donald", "Pleasence", 5241);
        Person p3 = new Person("Maggie", "McOmie", 3417);
        ArrayList<Person> list = new ArrayList<Person>();
        list.add(p1);
        list.add(p2);
        list.add(p3);
        displayList(list);
        
        Collections.sort(list);
        
        displayList(list);
        
    }
}
